Entity Framework 5

Oct 16, 2012 at 12:53 AM

Hi, can Entity Framework be upgraded to the latest version?

I had to modify the source and then reference that project to allow EntityFramework.Patterns to work with EF5.

Thanks,

Richard

Nov 19, 2012 at 10:12 PM

This would be convenient :)

Sep 19, 2013 at 4:23 PM
Edited Sep 19, 2013 at 4:23 PM
You don't have to modify this library to work with EF5. There is only need to add assembly redirection in *.config file
<runtime>
<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
  <dependentAssembly>
    <assemblyIdentity name="EntityFramework" publicKeyToken="b77a5c561934e089" culture="neutral" />
    <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
  </dependentAssembly>
   </assemblyBinding>
  </runtime>